/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: CC-BY-SA http://creativecommons.org/licenses/by-sa/3.0/
 */

#ifndef GCUSTOM_H
#define GCUSTOM_H

#include <iostream>
#include <string>

#include "gcmd.h"

/// custom G-code command
class GCustom: public GCmd {
public:
  /// virtual destructor
  virtual ~GCustom();

  /// output G-code command to stream
  virtual void toStrm(std::ostream &strm) const;

  std::string mCmd; ///< custom command
};

#endif // #ifndef GCUSTOM_H

