/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: CC-BY-SA http://creativecommons.org/licenses/by-sa/3.0/
 */

#ifndef GFEED_H
#define GFEED_H

#include <iostream>

#include "gcmd.h"

/// G-code command set feed rate (F)
class GFeed: public GCmd {
public:
  /// constructor
  GFeed();

  /// virtual destructor
  virtual ~GFeed();

  /// output G-code command to stream
  virtual void toStrm(std::ostream &strm) const;

  double mFeed; ///< feed rate
};

#endif // #ifndef GFEED_H

