/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: CC-BY-SA http://creativecommons.org/licenses/by-sa/3.0/
 */

#include <iostream>

#include "gcmd.h"
#include "glinear.h"
#include "optdbl.h"

/// virtual destructor
GLinear::~GLinear()
{
}

/// output G-code command to stream
void GLinear::toStrm(std::ostream &strm) const
{
  strm << "G1";
  mX.toStrm(strm, " X");
  mY.toStrm(strm, " Y");
  mZ.toStrm(strm, " Z");
  strm << std::endl;
}

