/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: CC-BY-SA http://creativecommons.org/licenses/by-sa/3.0/
 */

#ifndef GCMD_H
#define GCMD_H

#include <iostream>

/// G-code command
class GCmd {
public:
  /// virtual destructor
  virtual ~GCmd();

  /// output G-code command to stream
  virtual void toStrm(std::ostream &strm) const = 0;
};

#endif // #ifndef GCMD_H

