/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: CC-BY-SA http://creativecommons.org/licenses/by-sa/3.0/
 */

#include <iostream>
#include <string>

#include "gcmd.h"
#include "gcustom.h"

/// virtual destructor
GCustom::~GCustom()
{
}

/// output G-code command to stream
void GCustom::toStrm(std::ostream &strm) const
{
  strm << mCmd << std::endl;
}

