/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: CC-BY-SA http://creativecommons.org/licenses/by-sa/3.0/
 */

#include <iostream>

#include "gcmd.h"
#include "gfeed.h"

/// constructor
GFeed::GFeed():
  mFeed(10.0)
{
}

/// virtual destructor
GFeed::~GFeed()
{
}

/// output G-code command to stream
void GFeed::toStrm(std::ostream &strm) const
{
  strm << "F" << mFeed << std::endl;
}

